# IvyArtifact

API Documentation: | `IvyArtifact`

An artifact published as part of a `IvyPublication`.

### Properties

Property | Description
`buildDependencies` | Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
`classifier` | The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.
`conf` | A comma separated list of public configurations in which this artifact is published. The '*' wildcard is used to designate that the artifact is published in all public configurations. A `null` value (the default) indicates that this artifact will be published without a conf attribute.
`extension` | The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.
`file` | The actual file contents to publish.
`name` | The name used to publish the artifact file, never `null`. Defaults to the name of the module that this artifact belongs to.
`type` | The type used to publish the artifact file, never `null`.

### Methods

Method | Description
`builtBy(tasks)` | Registers some tasks which build this artifact.

### Script blocks

No script blocks

### Property details

#### `TaskDependency` `buildDependencies` (read-only)

Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

#### `String` `classifier`

The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

#### `String` `conf`

A comma separated list of public configurations in which this artifact is published. The '*' wildcard is used to designate that the artifact is published in all public configurations. A `null` value (the default) indicates that this artifact will be published without a conf attribute.

#### `String` `extension`

The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

#### `File` `file` (read-only)

The actual file contents to publish.

#### `String` `name`

The name used to publish the artifact file, never `null`. Defaults to the name of the module that this artifact belongs to.

#### `String` `type`

The type used to publish the artifact file, never `null`.

### Method details

#### `void` `builtBy`(``Object`...` tasks)

Registers some tasks which build this artifact.